<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          package="com.sinch.android.rtc.sample.video.push"
          android:versionCode="1"
          android:versionName="1.0">

    <uses-feature
            android:name="android.hardware.microphone"
            android:required="false"/>

    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS"/>
    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.CAMERA"/>
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE"/>
    <uses-permission android:name="android.permission.USE_FULL_SCREEN_INTENT" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>

    <application
            android:allowBackup="true"
            android:icon="@drawable/icon"
            android:label="@string/app_name"
            android:theme="@style/AppTheme">
        <service android:name=".SinchService"></service>
        <service android:name=".OngoingCallService"
            android:foregroundServiceType="phoneCall|microphone|camera"/>
        <service
            android:name=".fcm.FcmListenerService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
        <activity
                android:name=".LoginActivity"
                android:label="@string/app_name"
                android:exported="true"
                android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity android:name=".CallScreenActivity"
                  android:configChanges="keyboardHidden|orientation|screenSize"/>
        <activity android:name=".IncomingCallScreenActivity" android:screenOrientation="portrait"
                  android:noHistory="true" android:autoRemoveFromRecents="true"/>
        <activity android:name=".PlaceCallActivity" android:screenOrientation="portrait"/>
    </application>

</manifest>
